Bug 1132056 - [RFE] Allow pass-through of Veritas DMP devices to VMs. [NEEDINFO]
Summary: [RFE] Allow pass-through of Veritas DMP devices to VMs.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 3.4.0
Hardware: x86_64
OS: Linux
low
high vote
Target Milestone: ovirt-4.2.0
: ---
Assignee: Liron Aravot
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks: 1378904 1127644
TreeView+ depends on / blocked
 
Reported: 2014-08-20 14:50 UTC by Allon Mureinik
Modified: 2017-01-29 12:18 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1127644
Environment:
Last Closed: 2017-01-29 12:18:30 UTC
oVirt Team: Storage
ylavi: needinfo? (linux26port)
ykaul: ovirt-4.2?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Allon Mureinik 2014-08-20 14:50:08 UTC
+++ This bug was initially created as a clone of Bug #1127644 +++

Description of problem:
In add external disk option, rhevm can provide an option to add the path of the scsi device on the host. Currently there is no such option.

Comment 1 Liron Aravot 2014-08-26 08:53:30 UTC
Hi,
Veritas team, can you please clarify what is expected to be implemented here? example would be great.

thanks.

Comment 2 Linux engineering teams - Veritas 2014-08-27 08:39:47 UTC
Is it possible for the dialogue 'Add Virtual Disk' to provide options to attach files/devices locally available on the host to the VM (corresponding to type 'lun' and 'file') ? Perhaps these files/devices can me made available on all hosts in the RHEVM cluster at the same path by the administrator.

Comment 3 Allon Mureinik 2014-08-28 11:33:11 UTC
We currently do not support this feature, and it's too lat in 3.5.0's schedule to add it.
We should consider for 3.6.0 planning.

Liron - lets try to see if we can come up with an easy workaround in the meanwhile.

Comment 4 Allon Mureinik 2014-09-15 15:52:38 UTC
(In reply to Linux engineering teams - Veritas from comment #2)
> Is it possible for the dialogue 'Add Virtual Disk' to provide options to
> attach files/devices locally available on the host to the VM (corresponding
> to type 'lun' and 'file') ? Perhaps these files/devices can me made
> available on all hosts in the RHEVM cluster at the same path by the
> administrator.
Adding an actual device on the host can be done by selecting FCP.
For local files, we need some additional work.

Comment 5 Linux engineering teams - Veritas 2014-09-17 06:29:50 UTC
Hi Allon,

Thank you for your response. Selecting FC disks is not useful to select Veritas DMP devices (which manages FC disks internally). Hence it would be great if along with local files, an option would be provided to add local scsi devices too.

Best regards,
Linux Engg team

Comment 6 Red Hat Bugzilla Rules Engine 2015-12-01 15:26:14 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 7 Red Hat Bugzilla Rules Engine 2015-12-01 15:26:14 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 8 Yaniv Lavi 2016-01-18 15:36:46 UTC
Isn't this covered by the VFIO feature?

Comment 9 Allon Mureinik 2016-01-20 17:27:26 UTC
(In reply to Yaniv Dary from comment #8)
> Isn't this covered by the VFIO feature?
Nope.

Comment 10 Yaniv Lavi 2016-01-28 09:38:19 UTC
Can you confirm the question on comment #8?

Comment 11 Michal Skrivanek 2016-01-28 09:41:32 UTC
(In reply to Yaniv Dary from comment #10)
> Can you confirm the question on comment #8?

sure. No, storage passthrough is a separate feature (we have generic PCI and USB) which was not requested.
If exposing a PCI device in guest is enough then yes, one can try to use generic PCI VFIO passthrough, bypassing RHEV-M storage UI

Comment 12 Yaniv Lavi 2016-01-28 11:07:13 UTC
Is the Veritas DMP device a PCI device?

Comment 13 Linux engineering teams - Veritas 2016-03-01 14:38:26 UTC
DMP is not a PCI device but a pseudo block device just like a DM device and responds to SCSI commands.

Comment 16 Yaniv Lavi 2016-11-03 10:57:59 UTC
Can you please try to passthough the device using VFIO in 4.0. This should work for storage devices.


Note You need to log in before you can comment on or make changes to this bug.